#!/bin/sh
-# Copyright (C) 2006-2009 OpenWrt.org
+# Copyright (C) 2006-2011 OpenWrt.org
. $IPKG_INSTROOT/etc/functions.sh
}
shutdown() {
- return 0
+ stop
}
disable() {
enable() {
name="$(basename "${initscript}")"
disable
+ [ -n "$START" -o -n "$STOP" ] || {
+ echo "/etc/init.d/$name does not have a START or STOP value"
+ return 1
+ }
[ "$START" ] && ln -s "../init.d/$name" "$IPKG_INSTROOT/etc/rc.d/S${START}${name##S[0-9][0-9]}"
[ "$STOP" ] && ln -s "../init.d/$name" "$IPKG_INSTROOT/etc/rc.d/K${STOP}${name##K[0-9][0-9]}"
}
ALL_COMMANDS="start stop reload restart boot shutdown enable disable enabled depends ${EXTRA_COMMANDS}"
list_contains ALL_COMMANDS "$action" || action=help
-[ "$action" == reload ] && action='eval reload "$@" || restart "$@" && :'
+[ "$action" = "reload" ] && action='eval reload "$@" || restart "$@" && :'
$action "$@"